# Method: accounts.locations.media.startUpload

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media/startUpload#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media/startUpload#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media/startUpload#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media/startUpload#body.response_body)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media/startUpload#body.aspect)

Generates a `MediaItemDataRef` for media item uploading.

### HTTP request

`POST https://mybusiness.googleapis.com/v4/{parent=accounts/*/locations/*}/media:startUpload`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The resource name of the location this media item is to be added to. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.media#MediaItem.MediaItemDataRef`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).